## prometheus-homeplug-exporter 0.3.0

=== debian/changelog ===
prometheus-homeplug-exporter (0.3.0-1) unstable; urgency=medium

  * New upstream release which includes my patch.

 -- Martina Ferrari <tina@debian.org>  Thu, 02 Jul 2020 15:45:59 +0100

prometheus-homeplug-exporter (0.1.0+7-1) unstable; urgency=medium

  * New upstream snapshot, including proper copyright attribution.
  * Update initscript and remove unrelated stuff in rules.
  * Remove unneeded patch, and revert base unit change.
  * Bump debhelper-compat to 13.

 -- Martina Ferrari <tina@debian.org>  Wed, 01 Jul 2020 15:52:19 +0000

prometheus-homeplug-exporter (0.1.0+2-1) unstable; urgency=medium

  * Initial release. Closes: #960795

 -- Martina Ferrari <tina@debian.org>  Sat, 16 May 2020 20:02:58 +0000
