=== debian/control ===
Source: prometheus-homeplug-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-mdlayher-ethernet-dev,
               golang-github-mdlayher-raw-dev,
               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
               golang-github-prometheus-common-dev (>= 0+git20171117),
               golang-gopkg-alecthomas-kingpin.v2-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-homeplug-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-homeplug-exporter.git
Homepage: https://github.com/brandond/homeplug_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/brandond/homeplug_exporter

Package: prometheus-homeplug-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: daemon | systemd-sysv,
         debconf,
         libcap2-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for HomePlug/Power Line Communication
 Exports HomePlug PLC network and station statistics via HTTP for Prometheus
 consumption.
