=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-homeplug-exporter-$1.tar.gz/,dversionmangle=s/\+ds.*$//,uversionmangle=s/-?(rc\.?\d+)/~$1/" \
         https://github.com/brandond/homeplug_exporter/tags \
         (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz
