=== debian/control ===
Source: prometheus-homeplug-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-kit-log-dev,
               golang-github-mdlayher-ethernet-dev,
               golang-github-mdlayher-raw-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-common-dev (>= 0.26.0),
               golang-gopkg-alecthomas-kingpin.v2-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-homeplug-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-homeplug-exporter.git
Homepage: https://github.com/NightTsarina/homeplug_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/NightTsarina/homeplug_exporter

Package: prometheus-homeplug-exporter
Architecture: any
Depends: daemon | systemd-sysv,
         debconf,
         libcap2-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for HomePlug/Power Line Communication
 Exports HomePlug PLC network and station statistics via HTTP for Prometheus
 consumption.
