=== debian/watch ===
version=4

opts=filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-homeplug-exporter-$1.tar.gz/,\
dversionmangle=s/\+ds\d*$//,\
uversionmangle=s/-?(rc\.?\d+)/~$1/ \
  https://github.com/NightTsarina/homeplug_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz
